
From: Jason Gaston <jason.d.gaston@intel.com>

This patch adds the Intel ICH7DH and ICH7-M DH DID's to the irq.c and
pci_ids.h files.

Signed-off-by: Jason Gaston <Jason.d.gaston@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/pci/irq.c     |    2 ++
 include/linux/pci_ids.h |    2 ++
 2 files changed, 4 insertions(+)

diff -puN arch/i386/pci/irq.c~irq-and-pci_ids-for-intel-ich7dh-ich7-m-dh arch/i386/pci/irq.c
--- 25/arch/i386/pci/irq.c~irq-and-pci_ids-for-intel-ich7dh-ich7-m-dh	2005-04-27 00:11:08.240000320 -0700
+++ 25-akpm/arch/i386/pci/irq.c	2005-04-27 00:11:08.244999560 -0700
@@ -518,6 +518,8 @@ static __init int intel_router_probe(str
 		case PCI_DEVICE_ID_INTEL_ICH6_1:
 		case PCI_DEVICE_ID_INTEL_ICH7_0:
 		case PCI_DEVICE_ID_INTEL_ICH7_1:
+		case PCI_DEVICE_ID_INTEL_ICH7_30:
+		case PCI_DEVICE_ID_INTEL_ICH7_31:
 		case PCI_DEVICE_ID_INTEL_ESB2_0:
 			r->name = "PIIX/ICH";
 			r->get = pirq_piix_get;
diff -puN include/linux/pci_ids.h~irq-and-pci_ids-for-intel-ich7dh-ich7-m-dh include/linux/pci_ids.h
--- 25/include/linux/pci_ids.h~irq-and-pci_ids-for-intel-ich7dh-ich7-m-dh	2005-04-27 00:11:08.242000016 -0700
+++ 25-akpm/include/linux/pci_ids.h	2005-04-27 00:11:08.247999104 -0700
@@ -2420,6 +2420,8 @@
 #define PCI_DEVICE_ID_INTEL_ICH7_1	0x27b9
 #define PCI_DEVICE_ID_INTEL_ICH7_2	0x27c0
 #define PCI_DEVICE_ID_INTEL_ICH7_3	0x27c1
+#define PCI_DEVICE_ID_INTEL_ICH7_30	0x27b0
+#define PCI_DEVICE_ID_INTEL_ICH7_31	0x27bd
 #define PCI_DEVICE_ID_INTEL_ICH7_5	0x27c4
 #define PCI_DEVICE_ID_INTEL_ICH7_6	0x27c5
 #define PCI_DEVICE_ID_INTEL_ICH7_7	0x27c8
_
